Api referenceGeneratedMessages
List delivery status events by phone
POST
/v1/messages/delivery-statusRequires the messages:read scope. Dates are inclusive and interpreted in Asia/Jakarta (WIB).
Authorization
WorkspaceApiKey X-API-Key<token>
Workspace API key.
In: header
TypeScript Definitions
Use the request body type in TypeScript.
phones*array<>
Items
1 <= items <= 500startDate*string
Match
^\d{4}-\d{2}-\d{2}$endDate*string
Match
^\d{4}-\d{2}-\d{2}$Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/messages/delivery-status" \ -H "Content-Type: application/json" \ -d '{ "phones": [ "string" ], "startDate": "string", "endDate": "string" }'{ "items": [ { "phone": "string", "events": [ { "dispatchId": "a1a7028f-f483-4bbb-b8e5-fe878bddb1ae", "status": "ACCEPTED", "occurredAt": "2019-08-24T14:15:22Z", "failureCode": "string" } ] } ]}